## python-nh3 0.3.0

=== docs/requirements.txt ===
shibuya
sphinx

## python-nh3 0.2.18

=== debian/changelog ===
python-nh3 (0.2.18-2) unstable; urgency=medium

  * [d867fe2] d/control: Drop Build-Depends-Indep
    (Closes: #1086078)
  * [eb6b259] d/salsa-ci.yml: Add Salsa CI pipeline

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Oct 2024 18:30:08 +0100

python-nh3 (0.2.18-1) unstable; urgency=medium

  * [6f25fb7] New upstream version 0.2.18
  * [22d93b2] First and basic Debianization
    (Closes: #1083060)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Oct 2024 15:42:59 +0200

=== debian/control ===
Source: python-nh3
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 librust-ammonia-dev (>= 4.0.0),
 librust-pyo3-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-maturin,
 python3-pytest,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/messense/nh3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-nh3.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nh3
Testsuite: autopkgtest-pkg-pybuild

Package: python-nh3-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Bindings to the ammonia HTML sanitization library (Documentation)
 nh3 provides Python bindings to the Rust based ammonia HTML whitelist-based
 HTML sanitization library (https://github.com/rust-ammonia/ammonia).
 .
 This package contains the documentation for python3-nh3.

Package: python3-nh3
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-nh3-doc,
Description: Bindings to the ammonia HTML sanitization library (Python 3)
 nh3 provides Python bindings to the Rust based ammonia HTML whitelist-based
 HTML sanitization library (https://github.com/rust-ammonia/ammonia).
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      opts=dversionmangle=s/\+ds(\.?\d+)?$//, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/" \
https://github.com/messense/nh3.git \
      refs/tags/v?(\d\S+)

## python-nh3 0.3.0

=== debian/changelog ===
python-nh3 (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:34:15 +0100

python-nh3 (0.3.0-1) unstable; urgency=medium

  * [5e371ad] d/watch: Fiy typo in 'opts' list
  * [93bcb0a] d/watch: Convert to version 5
  * [0be7950] New upstream version 0.3.0
    (Closes: #1114314)
  * [870aa09] Rebuild patch queue from patch-queue branch
    Added patch:
    Cargo.toml-Drop-feature-generate-import-lib.patch
  * [1c873d1] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [37446e9] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [6e7fd06] d/control: Increase version on build dependencies
  * [c6ac901] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 17 Sep 2025 11:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- librust-ammonia-dev (>= 4.0.0),
- librust-pyo3-dev,
+ librust-ammonia-dev (>= 4.1.1),
+ librust-ouroboros-dev (>= 0.18),
+ librust-pyo3-dev (>= 0.25.1),
  pybuild-plugin-pyproject,
  python3-all,
  python3-maturin,
  python3-pytest,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/messense/nh3
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nh3.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nh3

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/messense/nh3.git
Matching-Pattern: refs/tags/v?(\d\S+)
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none

## python-nh3 0.3.2

=== debian/changelog ===
python-nh3 (0.3.2-1) unstable; urgency=medium

  * [70384ae] New upstream version 0.3.2
  * [52ecdd4] d/patches: Update patches for upstream changes

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 05 Nov 2025 20:16:35 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=nh3

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache
	dh_clean

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif
